<template>
	<div id="museumActFloat" class="museum-act-float">
		<img class="img heart-beat" src="http://static2.61info.com/service/imgs/groupPurchase/act/buy69/museumfloat.png" alt="">
	</div>
</template>

<script>
	export default {
		data: {
			pageName: $('body').data('page-name'), // inviteFriends  collageDetails
			courseId: +utils.getQueryString('courseId'),
			mainUrl: window.actIndependentDomain + '/app/spa/dengta_h5/meseum_act_index?itemId=10018'
		},
		// 初始化
		init: function () {
			var _this = this;

			_this.request.entry({itemId: '10018'}, function (res) {
				if (res.resultCode.code == 0) {
					var resData = res.value;
					// if (resData.forbidBeginGroup) return
					if (+resData.itemId == 10018) {
						_this.initEntry()
					}
				}
			})
		},

		initEntry: function (resData) {
			// 需要对页面进行判断
			var _this = this;
			var $museumActFloat = $(museumActFloat);
			$('body').append($museumActFloat);
			$museumActFloat.hide();
			if (_this.data.pageName == 'moreCourse') {
				document.addEventListener('scroll', utils.throttle(function () {
					if (utils.isInView($('.bannerBox').get(0))) {
						$museumActFloat.hide();
					} else {
						$museumActFloat.show();
					}
				}, 300))
			} else {
				document.addEventListener('scroll', utils.throttle(function () {
					var winScrollTop = $(window).scrollTop();
					var courseTop = $('.commend_course').position && $('.commend_course').position().top;
					if (winScrollTop > courseTop) {
						$museumActFloat.show();
					} else {
						$museumActFloat.hide();
					}
					// if (utils.isInView($('.commend_course').get(0))) {
					// 	$museumActFloat.hide();
					// } else {
					// 	$museumActFloat.show();
					// }
				}, 300))
			}
			$museumActFloat.on('click', function () {
				_this.toAct();
			})
			var channel = _this.data.pageName == 'moreCourse' ? '140500017' : '140500018';
			_this.request.addPvuv({pvuvKeyId: '1732'}, null, {channel: channel})
		},
		toAct: function () {
			var _this = this;
			var channel = _this.data.pageName == 'moreCourse' ? '140500017' : '140500018';
			location.href = _this.data.mainUrl + '&channel=' + channel;
		},
		// 请求
		request: (function () {
			var _request = function (url, data, callback, async) {
				$.ajax({
					url: url,
					data: data,
					async: async,
					success: function (res) {
						callback && callback(res);
					},
					fail: function () {
						ui61.toast('网络异常');
					}
				})
			};

			var actId = '10051';

			return {
				// 获取入口信息, 做成同步，以判断是否需要跳转
				entry: function (data, callback) {
					_request('/dengta/common/act/10039/moreCourse/init.json', data, callback, false)
				},
				/** pvuv统计 */
				addPvuv: function (pvuvKeyId, callback, expParam) {
					_request('/dengta/common/act/' + actId + '/addPvuv.json', {pvuvKeyId: pvuvKeyId, expParam: expParam || {}}, callback, true)
				}
			}
		})()
	}
</script>

<style scoped lang="less">
	@BASE_IMG_URL: 'http://static2.61info.com/service/imgs/groupPurchase/act/super_group';

	.super-group-alert {
		display: none;
		position: relative;
		width: 750px;
		height: 681px;
		background: url('@{BASE_IMG_URL}/entry_alert.png') no-repeat center / 100%;
		.btn {
			position: absolute;
			left: 50%;
			margin-left: -150px;
			bottom: -140px;
			right: 186px;
			width: 300px;
			height: 98px;
			background: url('@{BASE_IMG_URL}/alert_btn.png') no-repeat center / 100%;
		}
		.close {
			position: absolute;
			top: -100px;
			right: 96px;
			width: 80px;
			height: 80px;
			background: url('@{BASE_IMG_URL}/close.png') no-repeat center center / 54px 54px;
		}
	}
	.museum-act-float {
		position: fixed;
		bottom: 35%;
		right: 39px;
		width: 180px;
		height: 180px;
		.img {
			width: 100%;
			height: 100%;
		}
	}
	.member-list {
		display: flex;
		justify-content: center;
		flex-wrap: wrap;
		.member-item {
			position: relative;
			width: 81px;
			height: 81px;
			border: solid 2px #cccccc;
			border-radius: 50%;
			display: flex;
			justify-content: center;
			align-items: center;
			margin: 0 7px 32px 0;
			&:nth-child(5n) {
				margin-right: 0;
			}
			.avatar {
				width: 71px;
				height: 71px;
				border-radius: 50%;
			}
			&.leader-item {
				border: solid 2px #00bfff;
				&::after {
					content: '团长';
					position: absolute;
					top: 60px;
					left: 50%;
					transform: translateX(-50%);
					z-index: 9;
					width: 87px;
					height: 35px;
					background-color: #00bfff;
					border-radius: 17px;
					display: flex;
					justify-content: center;
					align-items: center;
					font-size: 22px;
					color: #ffffff;
				}
			}
		}
		.share-fake {
			margin-left: 0 !important;
		}
	}
	.not-all-list {
		.member-item {
			z-index: 1;
			margin: 0;
			margin-left: -23px;
			&.one-last {
				margin-left: 0;
			}
		}
		.point-list {
			font-size: 24px;
			color: #000000;
			margin: 0 15px;
			display: flex;
			align-items: center;
		}
		.share-add {
			margin-left: -23px;
			z-index: 5;
		}
	}
	/*.cut-down-time {*/
	/*	font-size: .28rem;*/
	/*	margin-bottom: .34rem;*/
	/*	color: #4d4d4d;*/
	/*	font-weight: bold;*/
	/*	text-align: center;*/
	/*	.toEnd {*/
	/*		font-size: .3rem;*/
	/*		color: #333333;*/
	/*		margin-right: .24rem;*/
	/*	}*/
	/*	.time {*/
	/*		font-weight: bold;*/
	/*		color: #fa512d;*/
	/*		font-size: .4rem;*/
	/*	}*/
	/*}*/
	.super-bag {
		display: none;
		position: relative;
		width: 415px;
		height: 514px;
		.bg {
			position: absolute;
			top: 50%;
			left: 50%;
			transform: translate(-50%, -50%);
			width: 923px;
			height: 923px;
			background: url('@{BASE_IMG_URL}/bag_animate.png') no-repeat center / 100%;
		}
		.bag {
			position: relative;
			width: 100%;
			height: 100%;
			margin-top: -60px;
			.bag-bg {
				position: absolute;
				top: 50%;
				left: 50%;
				transform: translate(-50%, -50%);
				width: 728px;
				height: 728px;
				background: url('@{BASE_IMG_URL}/bag.png') no-repeat center / 100%;
			}
			.btn {
				margin: 0 auto;
				padding-top: 170px;
				width: 206px;
				height: 206px;
				background: url('@{BASE_IMG_URL}/bag_btn.png') no-repeat center / 100%;
			}
		}
	}
	.open-succ {
		display: none;
		width: 415px;
		height: 651px;
		.bag-bg {
			width: 728px !important;
			height: 749px !important;
			background: url('@{BASE_IMG_URL}/open_succ.png') no-repeat center / 100% !important;
		}
		.succ-btn {
			position: absolute;
			bottom: -156px;
			left: 50%;
			margin-left: -160px;
			width: 320px;
			height: 110px;
			background-image: linear-gradient(0deg,
			#ff2b1c 0%,
			#ff7e3e 100%);
			border-radius: 55px;
			display: flex;
			justify-content: center;
			align-items: center;
			font-size: 44px;
			color: #f2f2f2;
		}
		.coupon-desc {
			position: relative;
			z-index: 9;
			font-size: 44px;
			font-weight: bold;
			color: #ff311e;
			padding: 75px 0 0 59px;
		}
		.cut-down {
			position: relative;
			z-index: 9;
			font-size: 28px;
			color: #ffffff;
			text-align: center;
			margin-top: 308px;
		}
	}
	.end-alert {
		position: relative;
		width: 590px;
		height: 700px;
		background: url('@{BASE_IMG_URL}/end.png') no-repeat center / 100%;
		.btn {
			position: absolute;
			bottom: 44px;
			left: 50%;
			transform: translateX(-50%);
			width: 498px;
			height: 86px;
		}
	}

	.flex-row {
		display: -moz-box;
		/* 老版本语法: Firefox (buggy) */
		display: -ms-flexbox;
		/* 混合版本语法: IE 10 */
		display: -webkit-flex;
		/* 新版本语法: Chrome 21+ */
		display: flex;
	}

	@cl-mask: rgba(0, 0, 0, 0.85);
	/**弹窗**/
	.yidialog-con {
		position: fixed;
		width: 100%;
		height: 100%;
		top: 0px;
		left: 0px;
		z-index: 1000;
		background: @cl-mask;

		.yid-con-col {
			display: flex;
			justify-content: center;
			align-items: center;
			width: 100%;
			height: 100%;
		}
	}

	.heart-beat {
		animation: heartBeat 1s infinite;
	}

	@keyframes heartBeat {
		0% {
			-webkit-transform: scale(1);
			transform: scale(1);
		}

		14% {
			-webkit-transform: scale(.8);
			transform: scale(.8);
		}

		28% {
			-webkit-transform: scale(1);
			transform: scale(1);
		}

		42% {
			-webkit-transform: scale(.8);
			transform: scale(.8);
		}

		70% {
			-webkit-transform: scale(1);
			transform: scale(1);
		}
	}

	/**淡入*/
	.fade-in {
		animation: fadeIn 1s;
	}

	@keyframes fadeIn {
		from {
			opacity: 0;
		}
		to {
			opacity: 1;
		}
	}
</style>
